#!/usr/bin/perl -w

# gernerate cipux_task_* man pages
# (c) 2005 Christian Kuelker
# License: GPLv2

use lib "./src/lib";
use CipUX::Task;

my $dir = shift;

# * my directory is:  /tmp/BUILD/cipux-3.1.0/cibot
# * my builddir is : ../debian/cipux-cibot
# * task           : cipux_task_create_user
# * options        : 6,4:UID,firstname,lastname,role,
#                    password;default_CID,uhquota,ghquota,
#                    usquota,gsquota

print " * my directory is:  ";
print `pwd`;
print " * my builddir is : $dir\n";

    foreach my $task (keys %task){
      print " * task          : $task\n";
      print " * options       : $task{$task}\n";
      my $cmd = 'perl -e \'use lib "./src/lib";';
      $cmd   .= 'use CipUX::Task;usage("';
      $cmd   .= $task.'");\'';
      print "$cmd\n";
      @usage = `$cmd`;
      $usage = join('  ',@usage);
       my $pod = &generate_pod($task,"  ".$usage);
       $cmd = "mkdir -p $dir/usr/share/man/man1";
       print  "$cmd\n";
       `$cmd`;
       my $file = "$dir/usr/share/man/man1/$task.pod";
       open(POD,"> $file")
         or die "can't open $file for writing!\n";
         print "Write POD to file [$file]\n";
         print POD $pod;
       close(POD);
       if(! -e $file){
         print "ERROR file $file do nOT exist\n";
         exit(255);
       }
       #  debian/cipux-cibot.links
       $cmd = "echo '/usr/bin/cipux_task /usr/bin/$task' >> ../debian/cipux-cibot.links";
       print  "$cmd\n";
       `$cmd`;
       $cmd = "podchecker $file";
       print  "$cmd\n";
       `$cmd`;
       $cmd = "pod2man --verbose --name $task --center 'CipUX Documentation' $file $dir/usr/share/man/man1/$task.1";
       print  "$cmd\n";
      `$cmd`;
       $cmd = "rm $file";
        print  "$cmd\n";
      `$cmd`;
       $cmd = "gzip -f9 $dir/usr/share/man/man1/$task.1";
       print  "$cmd\n";
      `$cmd`;



        }
exit(0);
sub generate_pod{
  my $caller = shift;
  my $usage = shift;

  my $pod="

=head1 NAME

$caller

=head1 SYNOPSIS

  $caller

or

  $caller [OPTIONS]

This depends on the CipUX::Task module. For
details, please see the L<USAGE> section below.

=head1 DESCRIPTION

This script provides a specifc CipUX::Task which
should be obvios. if not: please read the manual.

=head1 REQUIREMENTS

Perl modules:

CipUX::Task

=head1 USAGE

$caller is a perl script which provide a specific
CipUX task and may be used as follows:

$usage

=cut


=head1 SEE ALSO

See the CipUX webpage and the manual at L<http://www.cipux.org>

See the mailing list L<http://www.cipux.org/mailman/listinfo/>

=head1 AUTHOR

Christian Kuelker  E<lt>christian.kuelker\@cipworx.orgE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 1999-2005 by Christian Kuelker

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA

=cut

";

return $pod;
}



