#!/bin/bash
# +========================================================================+
# || create_meta_groups.sh                                                ||
# || create meta groups: students teachers examinees surfers              ||
# ||                                                                      ||
# || (c) Copyright 2005 by Christian Kuelker                              ||
# || License: GPLv2 or later                                              ||
# +========================================================================+

PASSWORD1=secret
PASSWORD2=secret
PASSWORD3=secret
PASSWORD4=secret

# nothing to be done under this line
# =========================================================================
DIR=/usr/local/cipux/cibot/bin
OBJ="student teacher examinee guest"

# delete all
echo "* delete: $OBJ"
for o in $OBJ; do 
  @echo "deleting $o";
  $DIR/del.pl -u $o;
  $DIR/del.pl -c $o;
done


echo "* add: $OBJ"
for o in $OBJ; do 
  echo "adding $o";
$DIR/add.pl -c -w $PASSWORD1 \
            --attribute cn=$o \
            --attribute groupType=meta \
            --attribute cipuxRole=meta \
            --attribute cipuxSoftQuota=0 \
            --attribute cipuxHardQuota=0 ;
# students private login
$DIR/add.pl -u -w $PASSWORD1 \
            --attribute uid=$o \
            --attribute cipuxFirstname=$o \
            --attribute cipuxLastname=group \
            --attribute cipuxRole=meta \
            --attribute cipuxSoftQuota=0 \
            --attribute cipuxHardQuota=0 ;
done
# add login to group
#$DIR/set_value.pl -a -c students -e memberUid -v students
