#!/bin/bash
# +=======================================================================+
# || delete_all_user_group_objects.sh                                    ||
# || (1) deletes all users and courses (groups)                          ||
# ||                                                                     ||
# || (c) Copyright 2005 by Christian Kuelker                             ||
# || License: GPLv2 or later                                             ||
# || 2005-03-26                                                          ||
# +=======================================================================+

# 2005-08-11 ckuelker: change script names

FLAG="u c"

cipux_task_list_users >/tmp/u.list
cipux_task_list_courses >/tmp/c.list

for f in $FLAG; do
  for u in `cat /tmp/$f.list`;do
    case $u in
      "root"      ) echo "do nothing with $f $u";;
      "Machines"  ) echo "do nothing with $f $u";;
      "admin"     ) echo "do nothing with $f $u";;
                 *) echo "delete $f $u " && cipux_del -$f $u ;;
    esac
  done
done

