# *========================================================================*
# || /etc/cipux/ldap/add.tpl
# || Version Mon Feb 28 16:20:34 CET 2005
# || This is the template file add.tpl. It is used by the cipux_add
# || script. It defines the possible ldap attributes and there default
# || values.
# || (c) 2002,2003,2005 Christian Kuelker
# || Licence: GPL
# || Revision: 2005-08-03
# *========================================================================*
# 
# WARNING: this buffer should be utf-8
#
# You can leave attributes emty. But you should NOT delete an attribute!
# - attributes with <AUTO=....> are computed autofilled in.
# - other <....> attributes are madatory!
# - every other can be replaced by command line option.
#
# Hint:
# (1) You can't overwrite an atrribute if it is not here!
#     Example:
#     If there is not line like cipuxRole: student
#     you can't overwrite this attribute by add.pl .... --attribute cipuxRole=teacher
# (2) You can overwrite every other attribute: 1. if its here 2. if it is not AUTO
#
############################################################################
dn: uid=<MANDATORY=uid>,ou=People,dc=skole,dc=skolelinux,dc=no
objectClass: posixAccount
objectClass: top
objectClass: shadowAccount
objectClass: imapUser
objectClass: cipuxAccount
cn: <MANDATORY=cipuxFirstname> <MANDATORY=cipuxLastname>
uid: <MANDATORY=uid>
uidNumber: <AUTO=uidNumber>
gidNumber: <AUTO=uidNumber>
homeDirectory: /skole/tjener/home0/<MANDATORY=uid>
mailMessageStore: /var/lib/maildirs/<MANDATORY=uid>
loginShell: /bin/bash
userPassword: {crypt}<AUTO=userPassword>
cipuxCreationDate: <AUTO=cipuxCreationDate>
cipuxFirstname: <MANDATORY=cipuxFirstname>
cipuxLastname: <MANDATORY=cipuxLastname>
cipuxStatus: warning
cipuxRole: student
cipuxInternetStatus: accept
cipuxSoftQuota: 40000
cipuxHardQuota: 50000
gecos: <MANDATORY=cipuxFirstname> <MANDATORY=cipuxLastname>
cipuxRemark: CAT created

